' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    'deklarace noveho generickeho seznamu typu String pro ukladani jmen
    Dim SeznamOsobnosti As New Generic.List(Of String)

    Private Sub TlacitkoPridaniJmena_Click(sender As Object, e As RoutedEventArgs) Handles TlacitkoPridaniJmena.Click
        'pridani jmena z textoveho pole TextovePoleVstup do kolekce
        SeznamOsobnosti.Add(TextovePoleVstup.Text)
        'vymaz nove pridaneho jmena z textoveho pole a zachovani ukazatele v tomto poli
        TextovePoleVstup.Text = ""
        TextovePoleVstup.Focus(Windows.UI.Xaml.FocusState.Programmatic)
    End Sub

    Private Sub TlacitkoZobrazitSeznam_Click(sender As Object, e As RoutedEventArgs) Handles TlacitkoZobrazitSeznam.Click
        'urceni poctu jmen, ulozenych v seznamu, a zobrazeni zpravy
        If SeznamOsobnosti.Count > 1 Then
            TextovePoleVystup.Text = "V seznamu je celkem " & SeznamOsobnosti.Count & " jmen: " & vbCrLf
            'serazeni jmen v alfabetickem poradi
            SeznamOsobnosti.Sort()
        ElseIf SeznamOsobnosti.Count = 1 Then
            TextovePoleVystup.Text = "V seznamu je pouze 1 jméno:" & vbCrLf
        End If
        'pote prochazeni seznamem, odrezavani koncovych mezer a zobrazeni
        For Each Name As String In SeznamOsobnosti
            TextovePoleVystup.Text = TextovePoleVystup.Text & Name.TrimEnd & vbCrLf
        Next
    End Sub

End Class
